Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
peripheral::BatteryPoweredDevicePackage Interface Reference
Inheritance diagram for peripheral::BatteryPoweredDevicePackage:

## Classes
struct | VoltageChangedEvent
| Event: the voltage of this device changed. More...

## Public Member Functions
double | getBatteryVoltage ()
| This method outputs the given voltage value or zero if no value is available. More...
Public Member Functions inherited from peripheral::Package
PackageInfo | getPackageInfo ()

## Member Function Documentation

## ◆ getBatteryVoltage()

double peripheral::BatteryPoweredDevicePackage::getBatteryVoltage | ( |  | ) |

This method outputs the given voltage value or zero if no value is available.

Returns
  0 or the voltage value in V

The documentation for this interface was generated from the following file:

- PeripheralDevicePackage.idl